require_relative 'kubernetes_setup'

module Njord
  module Commands
    class Kubernetes < Thor
      def self.banner(command, _namespace = nil, _subcommand = false)
        "#{basename} k8s #{command.usage}"
      end

      desc "setup", "Setups the files needed for the deployment to kubernetes"
      subcommand "setup", Njord::Commands::KubernetesSetup
    end
  end
end
